	list p=10f202
;***********************************************************************
;*  	Pinbelegung
;*	----------------------------------	
;*	GP: 	0 > LED mit 1 kOhm Vorwiderstand
;*		1 -
;*		2 -
;*		3 -
;*	
;***********************************************************************
;
;sprut (zero) Bredendiek 05/2005
;
; Blinklicht mit PIC10F202 am Pin GP0
;
; Prozessor 10F202 (oder 10F200) 
;
; Prozessor-Takt  4 MHz intern
;
;
;***********************************************************************
; Includedatei fr den 10F202 einbinden

	#include <p10f202.inc>

; Configuration festlegen:
;	kein codeprotection
;	kein WDT-Timer
;	kein Reset-Pin

	__CONFIG _CP_OFF & _WDT_OFF & _MCLRE_OFF

;***********************************************************************
; Variablen festlegen ab 10h

	cblock	0x10
	loops
	loops2
	endc

	#define	LED	GPIO,0

;*******************************************************
; Beginn des Programmcodes

	org	0x0000

	movwf	OSCCAL		; Oszillator kalibrieren

	movlw	b'00001110'	; GP0 output
	tris	GPIO

;	bcf	CMCON0,CMPON	; Comparator off nur bei 10F204/206

;*******************************************************
Mainloop
	bsf	LED		; LED an
	call	WAIT		; 250 ms warten
	bcf	LED		; LED aus
	call	WAIT		; 250 ms warten
	goto	Mainloop

;*******************************************************
; Warteschleife fr 250 ms
WAIT
	movlw	.250
	movwf	loops

; die top-Schleife verzgert 1 ms = 250 x 4s
top     movlw   .250
        movwf   loops2
; die top2-Schleife verzgert 4 Takte = 4 s
top2    nop
        decfsz  loops2, F 
        goto    top2
        decfsz  loops, F
        goto    top
        retlw	.0

	end
